/**
* $height: altura do banner
* $gradient-angle: angulo do gradiente, se false não aplica.
*/
@mixin mixin-banner(
  $height,
  $gradient-angle: false,
  $align-items: flex-start,
  $justify-content: center,
  $class: 'image'
) {
  position: relative;
  height: $height;
  width: 100%;
  overflow: hidden;

  .#{$class} {
    position: absolute;
    height: inherit;
    width: inherit;
    overflow: hidden;
    z-index: -1;

    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      @if $gradient-angle {
        background: linear-gradient($gradient-angle, #000000 0%, #00000000 80%);
      }
    }

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;

      &:nth-child(2) {
        display: none;
      }

      @include respond-to('min-lg') {
        &:nth-child(1):not(:last-child) {
          display: none;
        }
        &:nth-child(2) {
          display: block;
        }
      }
    }
  }

  .content {
    z-index: 2;
    display: flex;
    flex-direction: column;
    align-items: $align-items;
    justify-content: $justify-content;
    height: inherit;
  }

  @content;
}
